Name:           perl-MIME-Lite
Version:        3.033
Release:        1
Summary:        MIME::Lite - low-calorie MIME generator
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MIME-Lite
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/MIME-Lite-3.033.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(Carp) perl(Email::Date::Format)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec) perl(FileHandle)
BuildRequires:  perl(lib) perl(Mail::Address) perl(MIME::Types) >= 1.28 perl(Net::SMTP) perl(strict)
BuildRequires:  perl(Test::More) perl(Test::Pod) perl(Test::Pod::Coverage) perl(vars) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Email::Date::Format) perl(MIME::Types) >= 1.28

%description
MIME::Lite is a simple, standalone module which can generate (not parse) MIME messages.
Specifically, you can use it to output a simple, decent single- or multi-part message which
may have text or binary attachments. And you do not have to install Mail:: or MIME:: modules.

%package        help
Summary:        Documentation for perl-MIME-Lite
BuildArch:      noarch

%description    help
The package contains manual documentation files for perl-MIME-Lite.

%prep
%autosetup -n MIME-Lite-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +

%check
%if %{?_with_check:1}%{!?_with_check:0}
%make_build test
%endif

%files
%doc changes.pod README examples contrib COPYING LICENSE
%exclude %{perl_vendorlib}/MIME/changes.pod
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*.3*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.033-1
- Upgrade to version 3.033

* Fri Mar 06 2020 yinzhenling <yinzhenling2@huawei.com> - 3.030-14
- Package init
